Page MenuHomePhabricator

Migrate qunit jobs to Nodepool
Closed, ResolvedPublic

Description

Should migrate the various qunit jobs to run on Nodepool instances:

Old jobNodepool jobChange
mediawiki-core-qunit+ -jessiehttps://gerrit.wikimedia.org/r/#/c/291322/
mediawiki-extensions-qunit+ -jessiehttps://gerrit.wikimedia.org/r/#/c/292917/
mwext-qunit+ -jessiehttps://gerrit.wikimedia.org/r/#/c/292910/
mwext-qunit-composer+ -jessiehttps://gerrit.wikimedia.org/r/#/c/292910/

We also need to migrate them to Jessie due to a provisioning/puppet issue for Ubuntu Trusty.

Event Timeline

hashar created this task.May 26 2016, 1:42 PM
Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 26 2016, 1:42 PM

Change 290932 had a related patch set uploaded (by Hashar):
dib: ship in localhost vhost and browsers

https://gerrit.wikimedia.org/r/290932

Change 290932 merged by jenkins-bot:
dib: ship in localhost vhost and browsers

https://gerrit.wikimedia.org/r/290932

Change 290938 had a related patch set uploaded (by Hashar):
contint: let us vary localhost vhost unix user

https://gerrit.wikimedia.org/r/290938

Change 290939 had a related patch set uploaded (by Hashar):
dib: localhost-worker must belong to jenkins user

https://gerrit.wikimedia.org/r/290939

Change 290938 merged by Rush:
contint: let us vary localhost vhost unix user

https://gerrit.wikimedia.org/r/290938

Change 291024 had a related patch set uploaded (by Hashar):
apache: logrotate augeas rule needs apache2 package

https://gerrit.wikimedia.org/r/291024

Got a bunch of troubles building the image. Currently stuck with:

  • jsduck gem install failling for whaqtever unrelated reason
  • the apache2 puppet manifest hard restarting apache. But in a chroot that is a no/no

jsduck compilation failed due to lack of gcc, libc6-dev, make but the error reporting was not obvious at all. Adding build-essential package solves that:

Notice: /Stage[main]/Main/Package[jsduck]/ensure: created

Change 291212 had a related patch set uploaded (by Hashar):
dib: replace g with build-essential

https://gerrit.wikimedia.org/r/291212

Change 291212 merged by jenkins-bot:
dib: replace g with build-essential

https://gerrit.wikimedia.org/r/291212

hashar added a comment.EditedMay 27 2016, 12:54 PM

After much madness I managed to provision a Jessie image with the puppet class contint::worker_localhost. Via https://gerrit.wikimedia.org/r/#/c/290939/7

It is rather nasty, it uses the apache puppet module which attempts to start/restart the apache2 services but that does not play well in a chroot. Had to make the apache2 to not be executable in order to short circuit the init script then restore the executable bit.

Change 290939 merged by jenkins-bot:
dib: fix contint::localhost-worker and only on Jessie

https://gerrit.wikimedia.org/r/290939

I have updated both Trusty and Jessie Nodepool images. The virtualhost is only provisioned on Jessie though.

hashar updated the task description. (Show Details)May 27 2016, 7:50 PM
hashar updated the task description. (Show Details)

Change 291322 had a related patch set uploaded (by Hashar):
(WIP) mediawiki-core-qunit to Nodepool (WIP)

https://gerrit.wikimedia.org/r/291322

Change 292598 had a related patch set uploaded (by Hashar):
dib: php5 on Jessie images

https://gerrit.wikimedia.org/r/292598

Change 292598 merged by jenkins-bot:
dib: php5 on Jessie images

https://gerrit.wikimedia.org/r/292598

Mentioned in SAL [2016-06-03T19:18:31Z] <hashar> Image ci-jessie-wikimedia-1464981111 in wmflabs-eqiad is ready Zend 5.x for qunit | T136301

hashar added a comment.Jun 3 2016, 7:23 PM

So we get Zend 5.6 on Jessie instances now and Apache is apparently properly configured:

jenkins@ci-jessie-wikimedia-129519:/srv/localhost-worker$ echo -e '<?php\necho "it works?\\n";?>' > index.php
jenkins@ci-jessie-wikimedia-129519:/srv/localhost-worker$ curl localhost:9412
it works?
hashar added a comment.Jun 3 2016, 7:33 PM

Regarding T136188, chromium is version 49:

chromium:
  Installed: 49.0.2623.108-1~deb8u1
  Candidate: 49.0.2623.108-1~deb8u1
  Version table:
 *** 49.0.2623.108-1~deb8u1 0
        500 http://mirrors.wikimedia.org/debian/ jessie/main amd64 Packages
        100 /var/lib/dpkg/status
hashar added a comment.Jun 3 2016, 7:42 PM

And the mediawiki qunit job seems to pass against master on Jessie instance \O/

https://integration.wikimedia.org/ci/job/mediawiki-core-qunit-jessie/3/console

Change is: https://gerrit.wikimedia.org/r/#/c/291322/1

Will switch it on Monday.

hashar claimed this task.Jun 3 2016, 8:00 PM
hashar moved this task from Backlog to In-progress on the Continuous-Integration-Scaling board.
hashar moved this task from Backlog to In progress on the Continuous-Integration-Config board.
hashar updated the task description. (Show Details)Jun 6 2016, 10:01 AM

Mentioned in SAL [2016-06-06T10:05:15Z] <hashar> migrating mediawiki-core-qunit job to Nodepool instances https://gerrit.wikimedia.org/r/#/c/291322/ T136301

Change 291322 merged by jenkins-bot:
mediawiki-core-qunit to Nodepool

https://gerrit.wikimedia.org/r/291322

Change 292910 had a related patch set uploaded (by Hashar):
mwext-qunit jobs to Nodepool

https://gerrit.wikimedia.org/r/292910

hashar updated the task description. (Show Details)Jun 6 2016, 12:38 PM

Change 292910 merged by jenkins-bot:
mwext-qunit jobs to Nodepool

https://gerrit.wikimedia.org/r/292910

Change 292917 had a related patch set uploaded (by Hashar):
mediawiki-extensions-qunit job to Nodepool

https://gerrit.wikimedia.org/r/292917

hashar updated the task description. (Show Details)Jun 6 2016, 12:54 PM

Change 292917 merged by jenkins-bot:
mediawiki-extensions-qunit job to Nodepool

https://gerrit.wikimedia.org/r/292917

hashar closed this task as Resolved.Jun 6 2016, 1:04 PM

Mentioned in SAL [2016-06-06T13:04:55Z] <hashar> Migrated all qunit jobs to Nodepool T136301 has the related Gerrit changes

Change 291024 merged by Alexandros Kosiaris:
apache: logrotate augeas rule needs apache2 package

https://gerrit.wikimedia.org/r/291024